Bug 1051189 - [GSS] (6.2.x) Admin Console logout procedure fails with LDAP connections
[GSS] (6.2.x) Admin Console logout procedure fails with LDAP connections
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: CR1
: EAP 6.2.1
Assigned To: Darran Lofthouse
Petr Kremensky
Russell Dickenson
:
Depends On: 976917
Blocks: eap62-cp01-blockers
  Show dependency treegraph
 
Reported: 2014-01-09 15:10 EST by Brad Maxwell
Modified: 2014-02-24 15:15 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue that presented in earlier versions of JBoss EAP 6 that caused Admin Console logout procedures to fail with LDAP connections has been resolved in this release. The issue arose because the logout logic expected DIGEST authentication which is not used in LDAP. In this release, the product detects if BASIC authentication is being used and, if so, uses BASIC authentication challenges to encourage the web browser to forget the cached credentials. Users can now log out of an LDAP connection to the Admin Console as expected.
Story Points: ---
Clone Of: 976917
Environment:
Last Closed: 2014-02-24 15:15:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1594 Major Resolved Domain Management logout 'feature' not working for HTTP BASIC authentication. 2014-06-23 03:34:12 EDT

  None (edit)
Comment 3 Scott Mumford 2014-01-20 22:43:42 EST
Marking for inclusion in 6.2.1 release notes.
Comment 4 Josef Cacek 2014-01-23 10:47:31 EST
Verified in 6.2.1.CP.CR1-patch.
(browsers: Google Chrome 31.0.1650.63, Mozilla Firefox 26.0)
Comment 5 Scott Mumford 2014-01-23 20:20:30 EST
Set 'Version' field to ensure this ticket appears in documentation effort dashboards.
Comment 6 Scott Mumford 2014-01-23 20:56:45 EST
Hi Darran. I was hoping you'd be able to complete the release note above with a 'fix'? 

I can't find a post or comment that outlines what we did to resolve this (and I can't read code to figure it out). I'm assuming we didn't just hide the logout button as suggested in the JIRA.

Any help you can offer is appreciated.
Comment 7 Scott Mumford 2014-01-27 18:43:54 EST
Thanks Darran.

Release Notes text edited for publication and marked for inclusion in final document.

Note You need to log in before you can comment on or make changes to this bug.